Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.BasicVerticalLayoutManager

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
            |
            +--javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager

public class BasicSplitPaneUI.BasicVerticalLayoutManager
extends BasicSplitPaneUI.BasicHorizontalLayoutManager

LayoutManager used for JSplitPanes with an orientation of VERTICAL_SPLIT.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
`components, sizes`

Constructor Summary
`BasicSplitPaneUI.BasicVerticalLayoutManager()`

Method Summary
`protected int` | `getAvailableSize(java.awt.Dimension containerSize, java.awt.Insets insets)` Returns the available height based on the container size and Insets.
`protected int` | `getInitialLocation(java.awt.Insets insets)` Returns the top inset, unless the Insets or null in which case 0 is returned.
`protected int` | `getPreferredSizeOfComponent(java.awt.Component c)` Returns the height of the passed in Components preferred size.
`protected int` | `getSizeOfComponent(java.awt.Component c)` Returns the height of the passed in component.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container container)` Returns the minimum size needed to contain the children.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container container)` Returns the preferred size needed to contain the children.
`protected void` | `setComponentToSize(java.awt.Component c, int size, int location, java.awt.Insets insets, java.awt.Dimension containerSize)` Sets the height of the component c to be size, placing its x location to insets.left, y to location and width to the containersize.width less the left and right insets.

Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
`addLayoutComponent, addLayoutComponent, getLayoutAlignmentX, getLayoutAlignmentY, getSizes, invalidateLayout, layoutContainer, maximumLayoutSize, removeLayoutComponent, resetSizeAt, resetToPreferredSizes, setSizes, updateComponents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneUI.BasicVerticalLayoutManager

    public BasicSplitPaneUI.BasicVerticalLayoutManager()

Method Detail

### getPreferredSizeOfComponent

    protected int getPreferredSizeOfComponent(java.awt.Component c)

  Returns the height of the passed in Components preferred size.
  Overrides:
    getPreferredSizeOfComponent in class BasicSplitPaneUI.BasicHorizontalLayoutManager

### getSizeOfComponent

    protected int getSizeOfComponent(java.awt.Component c)

  Returns the height of the passed in component.
  Overrides:
    getSizeOfComponent in class BasicSplitPaneUI.BasicHorizontalLayoutManager

### getAvailableSize

    protected int getAvailableSize(java.awt.Dimension containerSize,
                                   java.awt.Insets insets)

  Returns the available height based on the container size and Insets.
  Overrides:
    getAvailableSize in class BasicSplitPaneUI.BasicHorizontalLayoutManager

### getInitialLocation

    protected int getInitialLocation(java.awt.Insets insets)

  Returns the top inset, unless the Insets or null in which case 0 is returned.
  Overrides:
    getInitialLocation in class BasicSplitPaneUI.BasicHorizontalLayoutManager

### setComponentToSize

    protected void setComponentToSize(java.awt.Component c,
                                      int size,
                                      int location,
                                      java.awt.Insets insets,
                                      java.awt.Dimension containerSize)

  Sets the height of the component c to be size, placing its x location to insets.left, y to location and width to the containersize.width less the left and right insets.
  Overrides:
    setComponentToSize in class BasicSplitPaneUI.BasicHorizontalLayoutManager

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container container)

  Returns the minimum size needed to contain the children. The height is the sum of all the childrens min heights and the width is the largest of the childrens minimum widths.
  Overrides:
    minimumLayoutSize in class BasicSplitPaneUI.BasicHorizontalLayoutManager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container container)

  Returns the preferred size needed to contain the children. The height is the sum of all the childrens preferred heights and the width is the largest of the childrens preferred widths.
  Overrides:
    preferredLayoutSize in class BasicSplitPaneUI.BasicHorizontalLayoutManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.